Update tag value

Updates the specified tag value.

Requires the Scan Operator [24] user role. See Roles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The unique identifier (UUID) of the value you want to update. For more information on determining this value, see Determine Tag Identifiers.

Body Params
string

The new tag value. Note that tag values cannot exceed 50 characters in length and must not contain commas.

string

The new tag value description.

access_control
object

Determines what the user can do with the tag value.

Caution: Most customers have been migrated to role-based access control and should use the POST /api/v3/access-control/permissions endpoint to assign permissions to tag objects. The access_control body parameter object only works for customers whose containers have not yet been migrated to role-based access control.

filters
object

The filters (conditional sets of rules) for automatically applying the tag to assets. For more information, see Apply Dynamic Tags.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Returned if Tenable Vulnerability Management encounters any of the following error conditions:

  • the combination of category and value you specified already exists (duplicate)
  • the category you specified does not exist (not_found)
  • your request exceeded a tag limit for your organization, which can be either the maximum of 100 categories or the maximum 100,000 tags for each category, or as configured for your organization
  • your request body is greater than 1 MB
  • you attempted to specify more than 40 rules for an individual tag (Filter expression cannot have more than 40 conditions)
  • your request specified an invalid filter for the dynamic tag rule, for example, ipv 4 (The following filter types are not valid: {string}).

403

Returned if you do not have permissions to update tags or if you have no permissions explicitly set to update.

404

Returned if the specified tag value was not found.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html